--- old/usr/src/Makefile	Fri Jul 18 08:21:52 2014
+++ new/usr/src/Makefile	Fri Jul 18 08:21:52 2014
@@ -65,6 +65,9 @@
 # The check target also causes smf(5) service manifests to be validated.
 CHKMFSTSUBDIRS=	cmd
 
+# And man page formats
+CHKMANSUBDIRS = man
+
 MSGSUBDIRS=	cmd ucbcmd lib
 DOMAINS= \
 	SUNW_OST_ADMIN \
@@ -205,7 +208,7 @@
 	@cd cmd/fm; pwd; $(MAKE) install_h
 	@cd cmd/mdb; pwd; $(MAKE) install_h
 
-check:	$(CHKHDRSUBDIRS) $(CHKMFSTSUBDIRS)
+check:	$(CHKHDRSUBDIRS) $(CHKMFSTSUBDIRS) $(CHKMANSUBDIRS)
 
 #
 # Cross-reference customization: skip all of the subdirectories that
--- old/usr/src/cmd/mandoc/Makefile	Fri Jul 18 08:21:52 2014
+++ new/usr/src/cmd/mandoc/Makefile	Fri Jul 18 08:21:52 2014
@@ -16,6 +16,10 @@
 
 PROGS=		mandoc mandoc_preconv
 
+# We place preconv in /usr/lib.  This is done to avoid conflicting with
+# GNU groff, which puts it into /usr/bin.  We also rename it so that it
+# will only be seen by mandoc -- it isn't intended for general end-user use.
+
 ROOTPROGS =	$(ROOTBIN)/mandoc $(ROOTLIB)/mandoc_preconv
 
 OBJS=		$(preconv_OBJS) $(mandoc_OBJS)
@@ -23,6 +27,8 @@
 include		$(SRC)/cmd/Makefile.cmd
 include		$(SRC)/cmd/mandoc/Makefile.common
 
+.KEEP_STATE:
+
 all:		$(PROGS)
 
 mandoc_preconv:	$(preconv_OBJS)
--- old/usr/src/man/Makefile.man	Fri Jul 18 08:21:53 2014
+++ new/usr/src/man/Makefile.man	Fri Jul 18 08:21:53 2014
@@ -32,6 +32,7 @@
 		$(INS.file)
 
 $(MANCHECKS):
+		@$(ECHO) "checking $(@:%.check=%)"; \
 		$(MANDOC) -Tlint $(@:%.check=%)
 
 $(MANLINKS):
--- old/usr/src/pkg/manifests/developer-build-onbld.mf	Fri Jul 18 08:21:53 2014
+++ new/usr/src/pkg/manifests/developer-build-onbld.mf	Fri Jul 18 08:21:53 2014
@@ -23,6 +23,7 @@
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2010, Richard Lowe
 # Copyright 2012, Piotr Jasiukajtis
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 
 set name=pkg.fmri value=pkg:/developer/build/onbld@$(PKGVERS)
@@ -159,6 +160,8 @@
 file path=opt/onbld/lib/python2.6/onbld/Checks/JStyle.pyc mode=0444
 file path=opt/onbld/lib/python2.6/onbld/Checks/Keywords.py mode=0444
 file path=opt/onbld/lib/python2.6/onbld/Checks/Keywords.pyc mode=0444
+file path=opt/onbld/lib/python2.6/onbld/Checks/ManLint.py mode=0444
+file path=opt/onbld/lib/python2.6/onbld/Checks/ManLint.pyc mode=0444
 file path=opt/onbld/lib/python2.6/onbld/Checks/Mapfile.py mode=0444
 file path=opt/onbld/lib/python2.6/onbld/Checks/Mapfile.pyc mode=0444
 file path=opt/onbld/lib/python2.6/onbld/Checks/ProcessCheck.py mode=0444
